//------------------------------------------------------------------
#property copyright "free code"
#property link      "free code"
//------------------------------------------------------------------
#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1  OrangeRed
#property indicator_color2  DeepSkyBlue
#property indicator_color3  LimeGreen
#property indicator_width1  2

extern int    DMIM_period1 = 5;
extern int    DMIM_period2 = 8;
extern int    DMIM_period3 = 14;
extern int    Price        = PRICE_CLOSE;
extern double LevelUp      = 50;
extern double LevelDown    = 10;

double buff1[];
double buff2[];
double buff3[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,buff1);
   SetIndexBuffer(1,buff2);
   SetIndexBuffer(2,buff3);
      SetLevelValue(0,LevelUp);
      SetLevelValue(1,LevelDown);
   return(0);
}
int start()
{
   int i,countedBars = IndicatorCounted();
      if (countedBars<0) return(-1);
      if (countedBars>0) countedBars--;
         int limit = MathMin(Bars-countedBars,Bars-1);

   for(i=limit; i>=0; i--)
   {
      buff1[i] = iADX(NULL,0,DMIM_period1,Price,MODE_MINUSDI,i);
      buff2[i] = iADX(NULL,0,DMIM_period2,Price,MODE_MINUSDI,i);
      buff3[i] = iADX(NULL,0,DMIM_period3,Price,MODE_MINUSDI,i);
   }
   return(0);
}